#
# spec file for package python-pytools
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytools
Version:        2020.1
Release:        bp155.2.14
Summary:        A collection of tools for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/pytools
Source0:        https://files.pythonhosted.org/packages/source/p/pytools/pytools-%{version}.tar.gz
BuildRequires:  %{python_module appdirs >= 1.4.0}
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module decorator >= 3.2.0}
BuildRequires:  %{python_module numpy >= 1.6.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.8.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-appdirs >= 1.4.0
Requires:       python-decorator >= 3.2.0
Requires:       python-numpy >= 1.6.0
Requires:       python-six >= 1.8.0
BuildArch:      noarch
%python_subpackages

%description
Pytools is a big bag of things that are "missing" from the Python standard library.
This is mainly a dependency of other software packages (pycuda, pyopencl, etc ),
and is probably of little interest to you unless you use those. If you're curious
nonetheless, here's what's on offer:
* A ton of small tool functions such as len_iterable, argmin, tuple generation,
  permutation generation, ASCII table pretty printing, GvR's mokeypatch_xxx() hack,
  the elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n pytools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Make requires to really be the requires
* Fri Mar 20 2020 pgajdos@suse.com
- version update to 2020.1
  + No upstream changelog available
* Tue May 14 2019 John Jolly <jjolly@suse.com>
- Update to version 2019.1.1
  + No upstream changelog available
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jul  9 2018 mpluskal@suse.com
-  Update to version 2018.5.2
  * No changelog available
* Fri Apr  6 2018 mpluskal@suse.com
- Update to version 2018.2
  * No changelog available
* Tue Oct 17 2017 mpluskal@suse.com
- Update to version 2017.6
  * No changelog available
* Sun Jun 11 2017 mpluskal@suse.com
- Update to version 2017.3
  * No changelog available
* Sat Mar  4 2017 mpluskal@suse.com
- Update to version 2016.2.6
  * No changelog available
- Convert to python singlespec
* Thu Feb  4 2016 mpluskal@suse.com
- Update to 2016.1
  * No changelog available
- Update dependencies
* Tue Dec  8 2015 mpluskal@suse.com
- Install license
* Mon Dec  7 2015 mpluskal@suse.com
- Update to 2015.1.6
  * No changelog available
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 2013.5.7
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu May  2 2013 speilicke@suse.com
- Fix dependencies
- Run testsuite
- Package README
* Wed May  1 2013 prusnak@opensuse.org
- updated to 2012.1
* Sun Jun 17 2012 scorot@free.fr
- version 2011.5
  * no changelog available
* Wed Jun 13 2012 scorot@free.fr
- spec file cleanup
* Mon Jun  4 2012 scorot@free.fr
- spec file cleanup and re-formating
